> For the complete documentation index, see [llms.txt](https://docs.mburger.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mburger.cloud/api-docs-1/project.md).

# Project

## Get Project

{% hint style="info" %}
How to obtain all project data.
{% endhint %}

{% tabs %}
{% tab title="Request" %}
`GET https://mburger.cloud/api/project`

```bash
curl https://mburger.cloud/api/project?locale=it&include=sections&sort=-title
-H "Accept: application/json" 
-H "X-MBurger-Token: <token>" 
-H "X-MBurger-Version: 3"
```

#### &#x20;Parameters

| Name          | Type   | Required | Description                                                                                                                      |
| ------------- | ------ | -------- | -------------------------------------------------------------------------------------------------------------------------------- |
| include       | string | No       | Specify which relations to load and include in response.                                                                         |
| image\_format | string | No       | Specify which image dimension to include in response. Values are *thumb*, *medium*, *large* and *original*. Default is *medium*. |

#### &#x20;Includes

| Name         | Description                                                                                                                                                                             |
| ------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| blocks       | This relation will return all blocks of the project. You can also send *blocks.sections*, *blocks.structure* or *blocks.sections.elements* to obtain all the data in a single API call. |
| beacons      | This relation will load all beacons associated with the project                                                                                                                         |
| contracts    | This relation will return all contracts uploaded to the project                                                                                                                         |
| {% endtab %} |                                                                                                                                                                                         |

{% tab title="Response" %}
When successful, a HTTP 200 and JSON like this is returned:

```bash
{
  "status_code": 0,
  "body": {
    "id": 1,
    "name": "Awesome Project",
    "has_analytics": false,
    "has_beacons": true,
    "has_users": true,
    "has_multilanguage": true,
    "has_live_messages": true,
    "has_push": true,
    "has_subscriptions": false,
    "has_payments": true,
    "tz": "Europe\/Rome",
    "locales": {
      "it": "Italian",
      "en": "English"
    },
    "created_at": 1542981950,
    "updated_at": 1544016407
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mburger.cloud/api-docs-1/project.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
